image: {}
  # pullPolicy: IfNotPresent
  # pullSecrets: []
  # repository: registry.gitlab.com/gitlab-org/build/cng/gitlab-toolbox-ee
  # tag: master

init:
  image: {}
    # repository:
    # tag:
    # pullPolicy: IfNotPresent
  resources:
    requests:
      cpu: 50m

# Tolerations for pod scheduling
tolerations: []

extraEnv: {}

antiAffinityLabels:
  matchLabels: {}

affinity:
  podAntiAffinity:
    topologyKey:

common:
  labels: {}

enabled: true
replicas: 1
annotations: {}
podLabels: {}

psql: {}
  # port: 5432

global:
  hosts:
    domain: example.com
    hostSuffix:
    https: true
    gitlab: {}
    registry: {}
    minio: {}
  psql:
    # host: '0.0.0.0'
    # port: '5432'
    # database: 'gitlabhq_production'
    # username: 'gitlab'
    # applicationName:
    # preparedStatements: false
    # databaseTasks: true
    # ssl:
    #   secret: gitlab-ssl-secret
    #   clientKey: client-key.pem
    #   clientCertificate: client-cert.pem
    #   serverCA: server-ca.pem
    password: {}
  redis:
    password: {}
  gitaly:
    internal:
      names: ["default"]
    external: []
    authToken: {}
  minio:
    enabled:
    credentials: {}
  webservice: {}
  appConfig:
    lfs:
      enabled: true
      proxy_download: true
      bucket:
      connection: {}
    artifacts:
      enabled: true
      proxy_download: true
      bucket:
      connection: {}
    uploads:
      enabled: true
      proxy_download: true
      bucket:
      connection: {}
    packages:
      enabled: true
      proxy_download: true
      bucket:
      connection: {}
    externalDiffs:
      when:
      proxy_download: true
      bucket:
      connection: {}
    terraformState:
      enabled: false
      bucket:
      connection: {}
    dependencyProxy:
      enabled: false
      proxy_download: true
      bucket:
      connection: {}
    ldap:
      servers: {}
      # 'main' is the GitLab 'provider ID' of this LDAP server
      # main:
      #   label: 'LDAP'
      #   host: '_your_ldap_server'
      #   port: 636
      #   uid: 'sAMAccountName'
      #   bind_dn: '_the_full_dn_of_the_user_you_will_bind_with'
      #   password: '_the_password_of_the_bind_user'
      #   encryption: 'plain'
    omniauth:
      enabled: false
      autoSignInWithProvider:
      syncProfileFromProvider: []
      syncProfileAttributes: ['email']
      allowSingleSignOn: ['saml']
      blockAutoCreatedUsers: true
      autoLinkLdapUser: false
      autoLinkSamlUser: false
      autoLinkUser: []
      externalProviders: []
      allowBypassTwoFactor: []
      providers: []
      # - secret: gitlab-google-oauth2
      #   key: provider
backups:
  cron:
    enabled: false
    concurrencyPolicy: Replace
    failedJobsHistoryLimit: 1
    schedule: "0 1 * * *"
    startingDeadlineSeconds: null
    successfulJobsHistoryLimit: 3
    suspend: false
    extraArgs: ""
    resources:
      # limits:
      #  cpu: 1
      #  memory: 2G
      requests:
        cpu: 50m
        memory: 350M
    persistence:
      enabled: false
      ## toolbox temporarily Persistent Volume Storage Class
      ## If defined, storageClassName: <storageClass>
      ## If set to "-", storageClassName: "", which disables dynamic provisioning
      ## If undefined (the default) or set to null, no storageClassName spec is
      ##   set, choosing the default provisioner.  (gp2 on AWS, standard on
      ##   GKE, AWS & OpenStack)
      ##
      # storageClass: "-"
      accessMode: ReadWriteOnce
      size: 10Gi
      subPath: ""
      ## if volumeName is set, use this existing PersistentVolume
      # volumeName:
      matchLabels: {}
      matchExpressions: []
  objectStorage:
    backend: s3
    config: {}
    #   secret: my-backup-secret
    #   key: config
    #   gcpProject: my-gcp-project-id
extra: {}

rack_attack:
  git_basic_auth:
    enabled: false
    # enabled: true
    # ip_whitelist: ["127.0.0.1"]
    # maxretry: 10
    # findtime: 60
    # bantime: 3600

trusted_proxies: []

redis:
  password: {}
gitaly:
  # host: '0.0.0.0'
  # port: 8075
  # serviceName: 'gitaly'
  authToken: {}
  #   secret: gitaly-secret
  #   key: token
minio:
  bucket: git-lfs
  serviceName: 'minio-svc'
  port: 9000
registry:
  host:
  # port: 443
  api:
    protocol: http
    serviceName: registry
    port: 5000
  tokenIssuer: gitlab-issuer
resources:
  # limits:
  #  cpu: 1
  #  memory: 2G
  requests:
    cpu: 50m
    memory: 350M

## Enable persistence using Persistent Volume Claims
## ref: http://kubernetes.io/docs/user-guide/persistent-volumes/
##
persistence:
  enabled: false

  ## toolbox temporarily Persistent Volume Storage Class
  ## If defined, storageClassName: <storageClass>
  ## If set to "-", storageClassName: "", which disables dynamic provisioning
  ## If undefined (the default) or set to null, no storageClassName spec is
  ##   set, choosing the default provisioner.  (gp2 on AWS, standard on
  ##   GKE, AWS & OpenStack)
  ##
  # storageClass: "-"
  accessMode: ReadWriteOnce
  size: 10Gi

  ## If subPath is set mount a sub folder of a volume instead of the root of the volume.
  ## This is especially handy for volume plugins that don't natively support sub mounting (like glusterfs).
  ##
  subPath: ""

  ## if volumeName is set, use this existing PersistentVolume
  # volumeName:

  ## Only bind to a volume with the following exactly matched labels with values.
  ## ref: https://kubernetes.io/docs/concepts/storage/persistent-volumes/#selector
  matchLabels: {}

  ## Only bind to a volume with the following exppression matched labels.
  ## ref: https://kubernetes.io/docs/concepts/storage/persistent-volumes/#selector
  matchExpressions: []

## Allow to overwrite under which User and Group we're running.
securityContext:
  runAsUser: 1000
  fsGroup: 1000

## Enable deployment to use a serviceAccount
serviceAccount:
  enabled: false
  create: false
  annotations: {}
  ## Name to be used for serviceAccount, otherwise defaults to chart fullname
  # name:

deployment:
  strategy:
    type: Recreate
    rollingUpdate: null
